//---------------------------------------------------------------------------
// Copyright 2000 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/gensig/SigSinus.c,v $
// $Id: SigSinus.c,v 1.1 2002/12/07 02:38:20 ah Exp $ 
//
// Description: print information about specified wav file
//
//---------------------------------------------------------------------------

const char sweep_CVSID[] = "$Id: SigSinus.c,v 1.1 2002/12/07 02:38:20 ah Exp $ (c) 2002 Andreas Huennebeck";

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)
#include "SigSinus.h"

#include <math.h>
USING_NAMESPACE(std)

#include <AH/Error/Sys.h>
#include <AH/Error/Intern.h>
USING_NAMESPACE(AH)


// --- local constants ---

// --- local data ---

// --- local classes ---

// --- local functions ---

// --- global functions ---

void SignalSinus::addSignal
(
    double* data,
    unsigned int num
)
{
    if (!data) throw ErrorInternNullPtrArg("SignalSinus::addSignal");
    if (!num) throw ErrorInternBadArg("SignalSinus::addSignal");

    const double zwo_pi = 2.0 * M_PI;
    const double fact = freq/(double)sr * zwo_pi;
    for (unsigned int i = 0; i < num; ++i)
    {
	data[i] += maxAmpl * sin(i * fact);
    }
}

// --- end of file ---











