//---------------------------------------------------------------------------
// Copyright 2000 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/gensig/SigWhiteNoise.c,v $
// $Id: SigWhiteNoise.c,v 1.4 2004/02/27 23:09:00 ah Exp $ 
//
// Description: print information about specified wav file
//
//---------------------------------------------------------------------------

const char sweep_CVSID[] = "$Id: SigWhiteNoise.c,v 1.4 2004/02/27 23:09:00 ah Exp $ (c) 2002 Andreas Huennebeck";

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)
#include "SigWhiteNoise.h"

#include <stdlib.h>
#include <math.h>
USING_NAMESPACE(std)

#include <AH/Error/Sys.h>
#include <AH/Error/Intern.h>
USING_NAMESPACE(AH)


// --- local constants ---

// --- local data ---

// --- local classes ---

// --- local functions ---

// --- global functions ---

SignalWhiteNoise::SignalWhiteNoise
(
    double amplitude,
    unsigned int samplerate, 
    unsigned int debug
)
    : SignalBase(amplitude, samplerate, debug)
{
}

void SignalWhiteNoise::addSignal
(
    double* data,
    unsigned int num
)
{
    if (!data) throw ErrorInternNullPtrArg("SignalWhiteNoise::addSignal");
    if (!num) throw ErrorInternBadArg("SignalWhiteNoise::addSignal");

    for (unsigned int i = 0; i < num; ++i)
    {
	data[i] += maxAmpl * 2 * (((double)random() / (double)RAND_MAX) - 0.5);
    }
}

// --- end of file ---











