//---------------------------------------------------------------------------
// Copyright 2002 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/gensig/Util.h,v $
// $Id: Util.h,v 1.1 2002/12/11 22:06:00 ah Exp $ 
//
// Description: print information about specified wav file
//
//---------------------------------------------------------------------------

#ifndef UTIL_H
#define UTIL_H

// --- necessary includes ---
#include <AH/Config/Platform.h> // always the first include
USING_NAMESPACE(AH)

#include <string>

// --- forward declarations ---

// --- types and classes ---

class Util
{
 public:
    static double getMaxAmplitude(unsigned int samplebits)
	{ return (1 << (samplebits - 1)) - 1; }

    static double getAmplitude(const std::string& arg,
			       unsigned int samplebits)
	{ return getAmplitude(arg, getMaxAmplitude(samplebits)); }

    static double getAmplitude(const std::string& arg, double maxAmp);

    static void normalize(double* data, unsigned int num, double norm_ampl);
};

#endif // !UTIL_H
// --- end of file ---
