//---------------------------------------------------------------------------
// Copyright 1999 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/IO/Riff/StartChunk.h,v $
// $Id: StartChunk.h,v 1.5 2000/11/24 20:16:39 ah Exp $
//
// Description: 
//
//---------------------------------------------------------------------------

#ifndef AH_IO_RIFF_START_CHUNK_H		// prevent multiple includes
#define AH_IO_RIFF_START_CHUNK_H

// --- forward declarations ---

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/IO/Riff/Chunk.h>
USING_NAMESPACE(AH)

// --- types and classes ---

BEGIN_NAMESPACE(AH)

class IORiffStartChunk: public IORiffChunk
{
 public:
    /// size of chunk in bytes
#ifdef NO_ANSI_CPLUSPLUS
    enum {size = 12};
#else
    static const uint32 size = 12;
#endif

    /// constructor: create object using specified buffer 
    IORiffStartChunk(const unsigned char* chunkbuf);
    /// constructor: create object with chunk on heap
    IORiffStartChunk(uint32 fileSize, const char* type = 0);

    /// destructor
    virtual ~IORiffStartChunk() {}

    /// get pointer to next chunk:
    virtual const unsigned char* nextChunk()
	{ return (IORiffChunk::chunkData() + 4); }

    /// get RIFF type
    const char* getType() const { return type; }

    ostream& printInfo(ostream& out, const char* pre = 0);

 protected:
    char type[5];	// RIFF file type identifier
};

END_NAMESPACE

#endif // !AH_IO_RIFF_START_CHUNK_H














