//---------------------------------------------------------------------------
// Copyright 1997 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Math/NullSearch.h,v $
// $Id: NullSearch.h,v 1.3 2002/12/07 02:39:34 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef MATH_NULLSEARCH_H	// prevent multiple includes
#define MATH_NULLSEARCH_H

// --- necessary includes ---

#include <AH/Config/Platform.h>

// --- types and classes ---

BEGIN_NAMESPACE(Ah)

/// represents a generic search class for zero crossing points
/**
 {\tt NullSearch} is a pure virtual zero crossing search base class, which just
 defines the common interface to all search classes.
 */
class NullSearch
{
  protected:
    double (*f)(double);

  public:
    NullSearch(double (*searchFunc)(double))
	: f(searchFunc) {}
    virtual ~NullSearch() {}

    /// search the zero crossing point
    virtual double search
    (
	double lowLim,
	double hiLim,
	double eps
    ) = 0;
}; // class NullSearch

// --- function prototypes ---

END_NAMESPACE

#endif // MATH_NULLSEARCH_H



