//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Math/NullSearchCreator.h,v $
// $Id: NullSearchCreator.h,v 1.3 2002/12/07 02:39:34 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef MATH_NULLSEARCH_CREATOR_H	// prevent multiple includes
#define MATH_NULLSEARCH_CREATOR_H

// --- necessary includes ---

#include <AH/Config/Platform.h>

BEGIN_NAMESPACE(Ah)

// --- forward declarations ---

class NullSearch;

// --- types and classes ---

/// represents the NullSearch creator class
/**
 {\tt NullSearchCreator} represents a creator class for all zero crossing
 search algorithms within {\em libMath}.
 */
class NullSearchCreator
{
  public:
    /// default constructor
    NullSearchCreator() {}

    /// virtual destructor
    virtual ~NullSearchCreator() {}

    /// create instance of specified nullsearch
    virtual NullSearch* create
    (
	double (*searchFunc)(double),
	const char* algo = 0
    ) const;
}; // class NullsearchCreator


END_NAMESPACE

#endif // MATH_NULLSEARCH_CREATOR_H









