//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHetech/AnalogDevOpAmps.c,v $
// $Id: AnalogDevOpAmps.c,v 1.3 2001/10/05 23:44:26 ah Exp $
//
// Description: implementation of Analog Devices operational amplifiers
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: AnalogDevOpAmps.c,v 1.3 2001/10/05 23:44:26 ah Exp $ (c) 1997 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/AnalogDevOpAmps.h>
#include <AH/Etech/Resistor.h>
#include <AH/Etech/Capacitor.h>

// --- local stuff ---

// --- class member implementation ---


// default constructor
AD711::AD711() : OpAmp("AD711", 400e3, 4e6, 40, 16e-9, 500, 0.01e-12) 
{
    Rin = new Resistor(3e12);		// 3 Tohm (differential)
    Cin = new Capacitor(5.5e-12);	// 5.5 pF
}

// default constructor
AD745::AD745() : OpAmp("AD745", 4e6, 20e6, 150, 2.9e-9, 100, 6.9e-18, 100) 
{
    Rin = new Resistor(10e9);		// 10 Gohm (differential)
    Cin = new Capacitor(20e-12);	// 20 pF
}

// default constructor
AD797::AD797() : OpAmp("AD797", 20e6, 80e6, 240, 0.9e-9, 100, 2e-12, 500)
{
    Rin = new Resistor(7.5e3);		// 7.5 kohm (differential)
    Cin = new Capacitor(20e-12);	// 20 pF
}

// default constructor
AD845::AD845() : OpAmp("AD845", 500e3, 16e6, 5, 12e-9, 100e3, 0.1e-12, 100e3)
{
    Rin = new Resistor(100e12);		// 100 Tohm (differential)
    Cin = new Capacitor(4e-12);		// 4 pF
}
