//---------------------------------------------------------------------------
// Copyright 1997 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHetech/InvAmp.c,v $
// $Id: InvAmp.c,v 1.5 2001/10/05 23:44:26 ah Exp $
//
// Description: implementation of class InvAmp
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: InvAmp.c,v 1.5 2001/10/05 23:44:26 ah Exp $ (c) 1997 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/InvAmp.h>

// --- local stuff ---

// --- class member implementation ---

// get amplification at frequency 'freq':
Cplx InvAmp::getA(Dbl freq)
{
    const Cplx* Ad = op.getAd(freq);
    if (Ad)
	return (-1 * Z2 / (Z1 + (Z1 + Z2) / *Ad));
    return (-1 * Z2/Z1);
}

// get amplification at frequency 'freq' with Load:
Cplx InvAmp::getA(Dbl freq, const Impedance& load)
{
    const Cplx* Ad = op.getAd(freq);
    if (Ad)
	return (-1 * (Z2 - load / *Ad) / (Z1 + (Z1 + Z2 + load) / *Ad));
    return (-1 * Z2/Z1);
}

// --- friend functions ---

// --- overloaded operators ---

