//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHetech/OpAmpCreator.c,v $
// $Id: OpAmpCreator.c,v 1.7 2004/05/03 22:15:25 ah Exp $
//
// Description: implementation of class OpAmpCreator
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: OpAmpCreator.c,v 1.7 2004/05/03 22:15:25 ah Exp $ (c) 1998 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/OpAmpCreator.h>
#include <AH/Etech/AnalogDevOpCreat.h>
#include <AH/Etech/BurrBrownOpCreat.h>
#include <AH/Etech/LinTechOpCreat.h>
#include <AH/Etech/MiscOpCreat.h>
#include <AH/Etech/OpAmp.h>

#include <cstring>

// --- local stuff ---

// --- class member implementation ---


OpAmp* OpAmpCreator::create
(
    const char* model,
    const char* company
) const
{
    if (!model) return new OpAmp();
    if (!company)
    {
	// try all companies, first matching will be taken:
	MiscOpAmpCreator misc;
	OpAmp* op = misc.create(model);
	if (op) return op;

	AnalogDevOpAmpCreator ad;
	op = ad.create(model);
	if (op) return op;

	BurrBrownOpAmpCreator bb;
	op = bb.create(model);
	if (op) return op;

	LinTechOpAmpCreator lt;
	return lt.create(model);
    }

    if (0 == strcmp(company, "Analog Devices"))
    {
	AnalogDevOpAmpCreator ad;
	return ad.create(model);
    }
    if (0 == strcmp(company, "Burr-Brown"))
    {
	BurrBrownOpAmpCreator bb;
	return bb.create(model);
    }
    if (0 == strcmp(company, "Linear Technology"))
    {
	LinTechOpAmpCreator lt;
	return lt.create(model);
    }

    return 0;	// opAmp not found

} // OpAmpCreator::create()













