//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file `COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/libAHio/Dir.c,v $
// $Id: 
//
// Description: implementation of class AH::IODir
//
//---------------------------------------------------------------------------

static const char cvsid[] = "$Id: Dir.c,v 1.3 2004/04/20 22:26:22 ah Exp $ (c) 1998 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/IO/Dir.h>
USING_NAMESPACE(AH)

#include <cstdio>
#include <dirent.h>
#include <sys/types.h>
USING_NAMESPACE(std)

// --- member functions ---

BEGIN_NAMESPACE(AH)


// get list of directory entries
int IODir::getList
(
    const string& path, 
    vector<string>& list
)
{
    DIR* dp = opendir(path.c_str());
    if (0 == dp) return -1;

    const struct dirent* entry;
    while (0 != (entry = readdir(dp)))
    {
	list.push_back(entry->d_name);
    }

    closedir(dp);
    return 0;
}


#if 0
von Ludwig Pumberger <elpeka@gmx.at>: ungetestet:

int getDirectoryList(std::string path, std::vector<std::string> &list)
{
    if(path[path.size() - 1] != '\\')
        path += "\\";
    path += "*.*";
    WIN32_FIND_DATA data;
    HANDLE hFind = FindFirstFile(path.c_str(), &data);
    if(hFind == INVALID_HANDLE_VALUE)
        return -1; //Fehler werden nicht mittels errno sondern mittels
GetLastError
                        //verarbeitet
    while(FindNextFile(hFind, &data))
        list.push_back(data.cFileName);
    if(!FindClose(hFind))
        return -1;
    return 0;
}
#endif

END_NAMESPACE
