//---------------------------------------------------------------------------
// Copyright 2004 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/libAHio/MidiRawCmd.c,v $
// $Id: MidiRawCmd.c,v 1.2 2004/04/20 22:26:22 ah Exp $
//
// Description: 
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: MidiRawCmd.c,v 1.2 2004/04/20 22:26:22 ah Exp $ (c) 2004 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/IO/Midi/RawCmd.h>
#include <AH/Error/Intern.h>
#include <AH/Error/Sys.h>
#include <AH/Error/Basic.h>
USING_NAMESPACE(AH)

#include <cstdio>
#include <string>
USING_NAMESPACE(std)


BEGIN_NAMESPACE(AH)


    //-------------------
    // con-/destructors:
    //-------------------
    

// constructor for raw MIDI command 
IOMidiRawCmd::IOMidiRawCmd
(
    const uint* sendData,
    int32 sendSize,
    int32 recSize
)
    : rxSize(recSize)
{
    for (int i = 0; i < sendSize; ++i)
	this->txData.push_back(sendData[i]);
}


    //-----------------------
    // read/write functions:
    //-----------------------

// get data as hex string (for debug)
std::string IOMidiRawCmd::getDataHex(const std::vector<uint8>& data) const
{
    if (0 == data.size()) return "";

    // create first data byte:
    char buf[8];
    (void)sprintf(buf, "%02x", data[0]);
    std::string hex(buf);

    // add remaining data bytes:
    for (unsigned int i = 1; i < data.size(); ++i)
    {
	(void)sprintf(buf, "%02x", data[0]);
	hex += " ";
	hex += buf;
    }
    return hex;
}





END_NAMESPACE
